Apache Struts API Documentation: Class AddDataSourceRule

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class AddDataSourceRule

    java.lang.Object
      |
      +--org.apache.struts.digester.Rule
            |
            +--org.apache.struts.action.AddDataSourceRule

final class AddDataSourceRule
extends Rule

Private digester `Rule` that adds a data source to the underlying `ActionServlet` instance. The servlet context attributes key is specified by the "key" attribute on the data source element, and defaults to the value of `Action.DATA_SOURCE_KEY` if not specified.

Fields inherited from class org.apache.struts.digester.Rule
`digester`

Constructor Summary
`AddDataSourceRule(Digester digester)`

Method Summary
`void` | `begin(org.xml.sax.AttributeList attributes)` This method is called when the beginning of a matching XML element is encountered.

Methods inherited from class org.apache.struts.digester.Rule
`body, end, finish`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### AddDataSourceRule

    public AddDataSourceRule(Digester digester)

Method Detail

### begin

    public void begin(org.xml.sax.AttributeList attributes)
               throws java.lang.Exception

  Description copied from class: `Rule`
  This method is called when the beginning of a matching XML element is encountered.
  Overrides:
    `begin` in class `Rule`
  Following copied from class: `org.apache.struts.digester.Rule`
  Parameters:
    `attributes` - The attribute list of this element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 - Apache Software Foundation